Subject: Comparison of symmetric and asymmetric PLSN algorithms (reformatted)

From: mike shand <[email-masked]>
Date: Tue, 07 Jun 2005 20:20:08 +0100

Sorry, that's what comes from pasting straight from excel:-)
hopefully this version is more legible.
	Mike

I know this is just one datapoint, but here are some results for the 
comparison of the two PLSN algorithms for a real world network having a few 
asymmetric cost links (14 out of a total of 340).

The numbers give the number of source destination pairs which are subject 
to looping for each of the links which generate a non-zero number of loops.

There are 187 nodes in this network, and hence 34782 possible source 
destination pairs.

As you can see, the results for the symmetric algorithm are (as expected) 
much better than the asymmetric, even though there will be some loops extra 
loops caused by the use of the "wrong" algorithm. But note that in no case 
is the symmetric algorithm worse than the asymmetric.

Clearly a network with more asymmetric links (or perhaps links having more 
asymmetry, or both) would be more likely to give a result in favour of the 
asymmetric algorithm. But this network is fairly typical of the real world 
collection I have.

asym	sym
4920	0
1214	0
1141	1141
1020	0
516	0
472	0
452	352
426	0
390	0
327	0
183	85
180	0
175	174
157	138
157	138
157	138
124	17
120	0
110	0
94	15
94	15
89	15
56	20
54	54
50	0
36	0
30	0
28	0
27	8
14	14
7	0
6	0
0	0
0	0

_______________________________________________
Rtgwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rtgwg